## lomiri-online-accounts 0.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(lomiri-online-accounts VERSION 0.16 LANGUAGES CXX)

# Version to put into .pc (pkg-config) files
set(PC_FILE_VERSION ${PROJECT_VERSION})

set(QT_VERSION 5)

option(ENABLE_DOC "Build documentation" ON)
option(ENABLE_MIRCLIENT "Enable support of Mir 1.x mirclient API" OFF)
option(ENABLE_UBUNTU_COMPAT "Enable compatibility with Ubuntu.OnlineAccounts" OFF)
option(DISABLE_TESTS_THAT_FAIL_ON_UBUNTU_NOBLE "Nasty Ubuntu 24.04 hack, tst_libaccounts_service fails on Ubuntu 24.04" OFF)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic -Wextra -std=c++11")

string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower) # Build types should always be lowercase but sometimes they are not.

include(GNUInstallDirs)
include(FindPkgConfig)

find_package(Qt5
    COMPONENTS Core DBus Gui Network Qml Quick Xml
    REQUIRED)
pkg_check_modules(APPARMOR libapparmor REQUIRED)

set(CMAKE_AUTOMOC ON)

set(ONLINE_ACCOUNTS_PLUGIN_DIR ${CMAKE_INSTALL_FULL_DATADIR}/lomiri-online-accounts/qml-plugins)
set(ONLINE_ACCOUNTS_PLUGIN_PRIVATE_MODULE_DIR ${CMAKE_INSTALL_FULL_LIBDIR}/lomiri-online-accounts/private)

set(LOA_I18N_DOMAIN "${PROJECT_NAME}")
set(SIGNONUI_I18N_DOMAIN "signon-ui")

include(JoinPaths)
join_paths(PC_LIBDIR "\${prefix}" "${CMAKE_INSTALL_LIBDIR}")
join_paths(PC_INCLUDEDIR "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")

execute_process(
    COMMAND qmake -query QT_INSTALL_QML
    OUTPUT_VARIABLE QT_INSTALL_QML
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

add_subdirectory(click-hooks)
add_subdirectory(online-accounts)
add_subdirectory(online-accounts-client)
add_subdirectory(online-accounts-daemon)
add_subdirectory(online-accounts-plugins)
add_subdirectory(online-accounts-service)
add_subdirectory(online-accounts-ui)
add_subdirectory(po)

if(ENABLE_DOC)
    add_subdirectory(doc)
endif()

if(cmake_build_type_lower MATCHES coverage)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage" )
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage" )
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} --coverage" )
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} --coverage" )

    # We add -g when building with coverage so valgrind reports line numbers.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g" )
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g" )
endif()

set(CTEST_TEST_TARGET_ALIAS "check" CACHE STRING "An alias for the built-in test target.")
include(CTest)
if (BUILD_TESTING)
    find_package(Qt${QT_VERSION} COMPONENTS Test REQUIRED)
    add_subdirectory(tests)
endif()

include(EnableCoverageReport)
if(cmake_build_type_lower MATCHES coverage)
    ENABLE_COVERAGE_REPORT(TARGETS OnlineAccountsDaemon OnlineAccountsQt OnlineAccountsQML accountd FILTER /usr/include ${CMAKE_SOURCE_DIR}/tests/* ${CMAKE_BINARY_DIR}/*)
endif()

=== click-hooks/CMakeLists.txt ===
add_subdirectory(online-accounts-hooks)
add_subdirectory(online-accounts-hooks2)

=== doc/CMakeLists.txt ===
find_program(QDOC_EXECUTABLE qdoc)
if(QDOC_EXECUTABLE STREQUAL "QDOC_EXECUTABLE-NOTFOUND")
    message(WARNING "qdoc not found, documentation cannot be built")
else()
    add_subdirectory(online-accounts)
    add_subdirectory(online-accounts-client)
endif()

=== online-accounts-client/CMakeLists.txt ===
add_subdirectory(lib)

=== tests/CMakeLists.txt ===
set(XVFB_COMMAND)
find_program(XVFBRUN xvfb-run)
find_program(XAUTH xauth)
if((XVFBRUN) AND (XAUTH))
  set(XVFB_COMMAND ${XVFBRUN} -s "-screen 0 640x480x24" -a)
else()
  message(WARNING "Cannot find xvfb-run.")
endif()

add_subdirectory(click-hooks)
add_subdirectory(online-accounts)
add_subdirectory(online-accounts-client)
add_subdirectory(online-accounts-daemon)
add_subdirectory(online-accounts-plugins)
add_subdirectory(online-accounts-service)
add_subdirectory(online-accounts-ui)

=== click-hooks/online-accounts-hooks/CMakeLists.txt ===
project(lomiri-online-accounts-hooks LANGUAGES CXX)

pkg_check_modules(ACCOUNTSQT accounts-qt${QT_VERSION} REQUIRED)
pkg_check_modules(CLICK click-0.4 REQUIRED)
pkg_check_modules(GOBJECT20 gobject-2.0 REQUIRED)

set (HOOK ${PROJECT_NAME})

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_definitions(
    ${ACCOUNTSQT_CFLAGS}
    ${GOBJECT20_CFLAGS}
    ${CLICK_CFLAGS}
)

add_definitions(-DHOOK_FILES_SUBDIR="${PROJECT_NAME}")
add_definitions(-DQT_NO_KEYWORDS)

set(HOOK_SOURCES
    main.cpp
)

add_executable(${HOOK}
    ${HOOK_SOURCES}
)
target_link_libraries(${HOOK}
    Qt${QT_VERSION}::Core
    Qt${QT_VERSION}::Xml
    ${ACCOUNTSQT_LDFLAGS}
    ${GOBJECT20_LDFLAGS}
    ${CLICK_LDFLAGS}
)

set_target_properties(${HOOK} PROPERTIES AUTOMOC TRUE)

install(TARGETS ${HOOK}
        RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR}
)

configure_file(account-application.hook.in ${CMAKE_CURRENT_BINARY_DIR}/account-application.hook @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/account-application.hook
    DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/click/hooks/
)
configure_file(account-provider.hook.in ${CMAKE_CURRENT_BINARY_DIR}/account-provider.hook @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/account-provider.hook
    DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/click/hooks/
)
configure_file(account-service.hook.in ${CMAKE_CURRENT_BINARY_DIR}/account-service.hook @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/account-service.hook
    DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/click/hooks/
)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/account-qml-plugin.hook
    DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/click/hooks/
)

=== click-hooks/online-accounts-hooks2/CMakeLists.txt ===
project(lomiri-online-accounts-hooks2 LANGUAGES CXX)

pkg_check_modules(ACCOUNTSQT accounts-qt${QT_VERSION} REQUIRED)
pkg_check_modules(SIGNONQT libsignon-qt${QT_VERSION} REQUIRED)
pkg_check_modules(CLICK click-0.4 REQUIRED)
pkg_check_modules(GOBJECT20 gobject-2.0 REQUIRED)

set (HOOK ${PROJECT_NAME})

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_definitions(
    ${ACCOUNTSQT_CFLAGS}
    ${SIGNONQT_CFLAGS}
    ${GOBJECT20_CFLAGS}
    ${CLICK_CFLAGS}
)

add_definitions(-DHOOK_FILES_SUBDIR="${PROJECT_NAME}")
add_definitions(-DQT_NO_KEYWORDS)

set(HOOK_SOURCES
    accounts.cpp
    acl-updater.cpp
)

set(HOOK_HEADERS
    acl-updater.h
)

add_executable(${HOOK}
    ${HOOK_SOURCES}
    ${HOOK_HEADERS}
)
target_link_libraries(${HOOK}
    Qt${QT_VERSION}::Core
    Qt${QT_VERSION}::Xml
    ${ACCOUNTSQT_LDFLAGS}
    ${SIGNONQT_LDFLAGS}
    ${GOBJECT20_LDFLAGS}
    ${CLICK_LDFLAGS}
)

set_target_properties(${HOOK} PROPERTIES AUTOMOC TRUE)

install(TARGETS ${HOOK}
        RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR}
)

configure_file(accounts.hook.in ${CMAKE_CURRENT_BINARY_DIR}/accounts.hook @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/accounts.hook
    DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/click/hooks/
)

=== doc/online-accounts-client/CMakeLists.txt ===
add_custom_target(doc-client ALL
                  COMMAND ${QDOC_EXECUTABLE}
                  -outputdir ${CMAKE_CURRENT_BINARY_DIR}/html
                  ${CMAKE_CURRENT_SOURCE_DIR}/online-accounts-client.qdocconf)
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
        DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/qml-module-lomiri-onlineaccounts-client)

=== online-accounts-client/lib/CMakeLists.txt ===
add_subdirectory(LomiriOnlineAccountsClient)
add_subdirectory(module)

if(ENABLE_UBUNTU_COMPAT)
    add_subdirectory(module-compat)
endif()

=== online-accounts-daemon/lib/CMakeLists.txt ===
add_subdirectory(LomiriOnlineAccountsDaemon)

=== online-accounts-plugins/lib/CMakeLists.txt ===
add_subdirectory(LomiriOnlineAccountsPlugin)
add_subdirectory(module)

=== online-accounts-client/lib/module-compat/CMakeLists.txt ===
set(UOA_QML_MODULE_COMPAT UbuntuOnlineAccountsClientQML)

set(QML_IMPORT OnlineAccounts/Client)
set(IMPORTS_DIR "${QT_INSTALL_QML}/Ubuntu/${QML_IMPORT}")
set(PLUGIN LomiriOnlineAccountsClientQML)
set(COMPAT_PLUGIN UbuntuOnlineAccountsClientQML)

add_custom_target(${UOA_QML_MODULE_COMPAT} ALL
    COMMAND ${CMAKE_COMMAND} -E create_symlink ../../Lomiri/${QML_IMPORT}/lib${PLUGIN}.so lib${COMPAT_PLUGIN}.so
)

file(GLOB QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml qmldir *.js)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${COMPAT_PLUGIN}.so DESTINATION ${IMPORTS_DIR})
install(FILES ${QML_FILES} DESTINATION ${IMPORTS_DIR})

if(NOT ${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    # copy qml files over to build dir to be able to import them uninstalled
    set(copied ${QML_FILES})
    foreach(_file ${copied})
        add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_file}
                           DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${_file}
                           COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/${_file} ${CMAKE_CURRENT_BINARY_DIR}/${_file})
    endforeach(_file)
    add_custom_target(${UOA_QML_MODULE_COMPAT}_copy_compat_files_to_build_dir DEPENDS ${copied})
    add_dependencies(${UOA_QML_MODULE_COMPAT} ${UOA_QML_MODULE_COMPAT}_copy_compat_files_to_build_dir)
endif()

=== debian/changelog ===
lomiri-online-accounts (0.16-4) unstable; urgency=medium

  * debian/patches:
    + Add 2001_no-functional-LinuxSecurityContext-support-in-Debians-
      kernel.patch. Let src/utils.cpp:apparmorProfileOfPeer() always return
      'unconfined'. Required due to apparmor-specific limitation in
      Debian's Linux kernel. (See also: #1092591). This is needed to
      make Lomiri Online Accounts setups functional on Debian systems.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 15 Jun 2025 23:57:27 +0200

lomiri-online-accounts (0.16-3) unstable; urgency=medium

  * debian/rules:
    + Drop deriving CONFIGURE_OPTS from DEB_BUILD_OPTIONS, esp. disabling DOC
      builds. (Closes: #1103317).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 16 Apr 2025 23:54:57 +0200

lomiri-online-accounts (0.16-2) unstable; urgency=medium

  * debian/control:
    + Add to Provides: (lomiri-online-accounts-client): signon-ui.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 17 Mar 2025 13:44:22 +0100

lomiri-online-accounts (0.16-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Feb 2025 23:04:09 +0100

=== debian/control ===
Source: lomiri-online-accounts
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake (>= 3.5),
               debhelper-compat (= 13),
               dbus-test-runner <!nocheck>,
               pkgconf,
               libaccounts-qt5-dev (>= 1.15),
               libapparmor-dev,
               libclick-dev,
               libglib2.0-dev,
               libnotify-dev,
               libqtdbusmock1-dev,
               libqtdbustest1-dev,
               libsignon-qt5-dev (>= 8.61+git20231015.c8ad982-7~),
               qml-module-sso-onlineaccounts <!nocheck>,
               qml-module-lomiri-test <!nocheck>,
               qtbase5-dev (>= 5.15),
               qtdeclarative5-dev,
               qttools5-dev-tools,
               signon-plugins-dev (>= 8.61+git20231015.c8ad982-7~),
               xauth <!nocheck>,
               xmldiff:native <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-online-accounts
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-online-accounts.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-online-accounts/

Package: liblomiri-online-accounts-daemon1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Lomiri Online Accounts simplified API - library
 D-Bus service implementing the simplified Online Accounts API.
 .
 This package contains the API implementation of Lomiri's simplified
 Online Accounts API.

Package: liblomiri-online-accounts-daemon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-online-accounts-daemon1 (= ${binary:Version}),
         libaccounts-qt5-dev (>= 1.15),
         qtbase5-dev (>= 5.15),
Description: Online Accounts simplified API (bindings development files)
 D-Bus service implementing the simplified Online Accounts API.
 .
 This module contains the necessary files for developing client libraries
 interfacing with the simplified Online Accounts API.

Package: liblomiri-online-accounts-qt5-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-online-accounts-daemon1 (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends},
Description: Library for the simplified Online Accounts API
 The LomiriOnlineAccounts Qt5 library offers an Qt-based API for
 applications to use the Lomiri Online Accounts functionality.

Package: liblomiri-online-accounts-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-online-accounts-qt5-1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15),
Pre-Depends: ${misc:Pre-Depends},
Description: Library for the simplified Online Accounts API - development files
 The OnlineAccounts library offers an Qt-based API for applications to use
 the Online Accounts functionality.

Package: qml-module-lomiri-onlineaccounts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
Description: Online Accounts API for QML applications
 This module provides access to the new Online Accounts API from QML
 applications.

Package: qml-module-lomiri-onlineaccounts-doc
Section: doc
Build-Profiles: <!cross>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Online Accounts API, HTML documentation
 This module provides access to the new Online Accounts API from QML
 applications.
 .
 This package contains the HTML documentation.

Package: liblomiri-online-accounts-client1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Library to interact with the Lomiri Online Accounts panel
 The LomiriOnlineAccountsClient library offers an API for applications to
 invoke the Lomiri's Online Accounts system settings in order to request
 the creation/configuration of accounts.

Package: liblomiri-online-accounts-client-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-online-accounts-client1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15),
Description: Library to interact with the Lomiri Online Accounts panel - development files
 The LomiriOnlineAccountsClient library offers an API for applications to
 invoke the Lomiri's Online Accounts system settings in order to request
 the creation/configuration of accounts.
 .
 This package contains the development headers for the
 LomiriOnlineAccountsClient library.

Package: qml-module-lomiri-onlineaccounts-client
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
Description: Lomiri Online Accounts panel library for QML applications
 This QML module offers an API for applications to invoke Lomiri's Online
 Accounts system settings in order to request the creation/configuration
 of accounts.

Package: qml-module-lomiri-onlineaccounts-client-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Lomiri Online Accounts panel library for QML applications - documentation
 This QML module offers an API for applications to invoke Lomiri's Online
 Accounts system settings in order to request the creation/configuration
 of accounts.
 .
 This package contains the developer documentation of
 qml-module-lomiri-onlineaccounts-client.

Package: liblomiri-online-accounts-plugin1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Online Accounts plugin module for Lomiri
 The LomiriOnlineAccounts plugin system provides Lomiri applications with online
 accounts settings via a central setup mechanism in Lomiri System Settings.
 .
 This package ships the shared library of the Lomiri Online Accounts
 plugin system.

Package: liblomiri-online-accounts-plugin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-online-accounts-plugin1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15),
Description: Online Accounts plugin module for Lomiri - development files
 The LomiriOnlineAccounts plugin system provides Lomiri applications with online
 accounts settings via a central setup mechanism in Lomiri System Settings.
 .
 This module contains the necessary files for developing such Lomiri
 Online Accounts plugins.

Package: qml-module-lomiri-onlineaccounts-plugin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
Description: Online Accounts plugin module for Lomiri - QML module
 The LomiriOnlineAccounts plugin system provides Lomiri applications with online
 accounts settings via a central setup mechanism in Lomiri System Settings.
 .
 This QML module offers the necessary API for using the Lomiri Online
 Accounts plugin system in QML applications.

Package: lomiri-online-accounts-client
Section: misc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-online-accounts-client1 (= ${binary:Version}),
         liblomiri-online-accounts-daemon1 (= ${binary:Version}),
         lomiri-online-accounts-client-common (>= ${source:Version}),
Breaks: lomiri-system-settings-online-accounts (<< 0.12~),
Provides: signon-ui,
Description: Tools to interact with the Lomiri Online Accounts panel
 The LomiriOnlineAccountsClient library offers an API for applications to
 invoke the Lomiri's Online Accounts system settings in order to request
 the creation/configuration of accounts.
 .
 This package contains tools using the library so that lomiri-system-settings
 and Lomiri Online Accounts can interact with one another.

Package: lomiri-online-accounts-client-common
Architecture: all
Depends: ${misc:Depends},
Description: Tools to interact with the Lomiri Online Accounts panel - translation files
 The LomiriOnlineAccountsClient library offers an API for applications to
 invoke the Lomiri's Online Accounts system settings in order to request
 the creation/configuration of accounts.
 .
 This package contains localization files for LomiriOnlineAccountsClient
 tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

NULL =

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

# UBports-specific:
#
# The online-accounts-client/client/service/tst_libaccounts_service/ unit
# tests fails on Ubuntu noble. Skip this for now.
#
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
        CONFIGURE_OPTS += -DDISABLE_TESTS_THAT_FAIL_ON_UBUNTU_NOBLE=ON
endif

# Skip tests on the archs they are known to be flaky with current configuration
# See https://launchpad.net/bugs/1630906
testskip_architectures :=

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DBUILD_TESTING=ON \
	    $(CONFIGURE_OPTS) \
	    $(NULL)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_HOST_ARCH),$(testskip_architectures)))
	mkdir -p debian/home
	-dh_auto_test --no-parallel
else
	mkdir -p debian/home
	dh_auto_test --no-parallel
endif
endif

override_dh_install:
	# empty directories
	rmdir debian/tmp/usr/share/doc/qml-module-lomiri-onlineaccounts/html/images/
	rmdir debian/tmp/usr/share/doc/qml-module-lomiri-onlineaccounts-client/html/images/
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	rm -Rf debian/home
	dh_clean

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
